TelepathyQt4: IntrospectableInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# IntrospectableInterface Class Reference
[Generic D-Bus proxies]

`#include <TelepathyQt4/DBus>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply< QString > Introspect ()

## Public Member Functions

- IntrospectableInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- IntrospectableInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- IntrospectableInterface (Tp::DBusProxy *proxy)
- IntrospectableInterface (const Tp::AbstractInterface &mainInterface)
- IntrospectableInterface (const Tp::AbstractInterface &mainInterface, QObject *parent)

## Static Public Member Functions

- static const char * staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.DBus.Introspectable."

## Constructor & Destructor Documentation

IntrospectableInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a IntrospectableInterface associated with the given object on the session bus.

Parameters:

  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

IntrospectableInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a IntrospectableInterface associated with the given object on the given bus.

Parameters:

  | connection | The bus via which the object can be reached.
  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

IntrospectableInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a IntrospectableInterface associated with the same object as the given proxy.

Parameters:

  | proxy | The proxy to use. It will also be the QObject::parent() for this object.

IntrospectableInterface | ( | const Tp::AbstractInterface & | mainInterface | ) | `[explicit]`

Creates a IntrospectableInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  | mainInterface | The proxy to use.

IntrospectableInterface | ( | const Tp::AbstractInterface & | mainInterface,
|  | QObject * | parent |
| ) |  |  |

Creates a IntrospectableInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  | mainInterface | The proxy to use.
  | parent | Passed to the parent class constructor.

## Member Function Documentation

static const char* staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.DBus.Introspectable", which this class represents.

Returns:
  The D-Bus interface name.

QDBusPendingReply<QString> Introspect | ( |  | ) | `[inline, slot]`

Begins a call to the D-Bus method "Introspect" on the remote object.

virtual void invalidate | ( | Tp::DBusProxy * | ,
|  | const QString & | ,
|  | const QString & |  |
| ) |  |  | `[protected, virtual]`